<?php
session_start();
if (isset($_SESSION['uName'])) {
    ?>
    <!DOCTYPE html>
    <html>
        <head>
            <meta charset="utf-8">
            <link rel="shortcut icon" type="image/ico" href="">
            <meta name="viewport" content="initial-scale=1.0, maximum-scale=2.0">

            <title>Activity - ConfigTool</title>
            <link rel="stylesheet" type="text/css" href="../css/bootstrap.css">
            <link rel="stylesheet" type="text/css" href="../css/jquery.dataTables.css">
            <link rel="stylesheet" type="text/css" href="../css/dataTables.tableTools.css">
            <link rel="stylesheet" type="text/css" href="../css/dataTables.editor.css">
            <link rel="stylesheet" type="text/css" href="../css/editor.upload.css">
            <link rel="stylesheet" type="text/css" href="../css/font-awesome.css">
            
            <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.10/css/jquery.dataTables.min.css">
            <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.1.0/css/buttons.dataTables.min.css">
            <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/select/1.1.0/css/select.dataTables.min.css">
            <link rel="stylesheet" type="text/css" href="https://editor.datatables.net/extensions/Editor/css/editor.dataTables.min.css">

            

            <style type="text/css" class="init">

                table.dataTable tr td:first-child {
                    text-align: center;
                }

                table.dataTable tr td:first-child:before {
                    content: "\f096"; /* fa-square-o */
                    font-family: FontAwesome;
                }

                table.dataTable tr.selected td:first-child:before {
                    content: "\f046"; /* fa-check-square-o */
                }

                table.dataTable tr td.dataTables_empty:first-child:before {
                    content: "";
                }

            </style>

            <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
            <script type="text/javascript" language="javascript" src="../js/jquery.dataTables.min.js"></script>
            <script type="text/javascript" language="javascript" src="../js/dataTables.tableTools.min.js"></script>
            <script type="text/javascript" language="javascript" src="../js/dataTables.editor.min.js"></script>
            <script type="text/javascript" language="javascript" src="../js/editor.upload.js"></script>
            <script type="text/javascript" language="javascript" class="init">



                var editor; // use a global for the submit and return data rendering in the examples

                $(document).ready(function () {
//                    editor = new $.fn.dataTable.Editor({
//                        ajax: "../../inculdes/activities.php",
//                        table: "#example",
//                        fields: [{
//                                label: "Name:",
//                                name: "activities.name"
//                            },
//                            {
//                                label: "Position:",
//                                name: "activities.position"
//                            },
//                            {
//                                label: "Activity Influence:",
//                                name: "activities.activityinfluence"
//                            },
//                            {
//                                "label": "Icon:",
//                                "name": "activities.icon",
//                                "type": "upload",
//                                "display": function (val, row) {
//                                    return val && row.activity_has_images.webPath ?
//                                            '<img src="' + row.activity_has_images.webPath + '"/>' :
//                                            'No image';
//                                }
//                            },
//                                {
//                                "label": "Competencies",
//                                "name": "competencies[].id",
//                                "type": "checkbox"
//                            },
////                                {
////                                "label": "Teachers:",
////                                "name": "people[].id",
////                                "type": "checkbox"
////                            }, 
//                                {
//                                "label": "Subjects",
//                                "name": "subjects[].id",
//                                "type": "select"
//                             
//                            }
//                        ]
//                    });

                    // Activate an inline edit on click of a table cell
//                    $('#example').on('click', 'tbody td:not(:first-child)', function (e) {
//                        editor.inline(this, {
//                            submitOnBlur: true
//                        });
//                    });

                    //function used to send olm data call after database insertion 
//                    editor.on('postSubmit', function (e, json, data, action) {
//
//                        console.info(data);
//                        var operation = action
//                        var userinfo = '';
//                        if (operation == "remove") {
//                            userinfo = data;
//                        } else {
//                            userinfo = json;
//                        }
//                        jQuery.ajax({
//                            type: 'POST',
//                            data: userinfo,
//                            url: '../../inculdes/OlmActivityOperations.php?action=' + operation,
//                            error: function (result, transport) {
//                                alert("Sorry, the operation is failed.");
//                            },
//                            success: function (result) {
//                                console.info(result);
//                            }
//                        });
//                    });

                    $('#example').dataTable({
                       
                        ajax: {
                            url: "../inculdes/compstructure.php",
                            type: 'POST'
                        },
                        columns: [
                            {data: null, defaultContent: '', orderable: false},
                            {data: "dependencies.id"},
                            {data: "dependencies.dependentid"},
                            {data: "dependencies.competenceid"},
                            
//                            {data: "competencies", render: "[, ].name"},
                            {
                                "data": "dependencies",
                                "defaultContent": "No image",
                                "render": function (d) {
                                     return d.id ?
                                    
//                                            "<a href='?action=edit&id=" + d.id + "' class='edit' title='update " + d.id + " in database'>Edit</a> | <a href='?action=delete&id=" + d.id + "' class='delete' title='delete " + d.id + " from database'>Delete</a>" :
                                    "<a href='?action=delete&id=" + d.id + "' class='btn btn-danger btn-sm' title='delete " + d.id + " from database'>Delete</a>" :
                                            null;
                                }
                            }
                        ],
//                        tableTools: {
//                            sRowSelect: "os",
//                            sRowSelector: 'td:first-child',
//                            aButtons: [
//                                {sExtends: "editor_create", editor: editor},
//                                {sExtends: "editor_edit", editor: editor},
//                                {sExtends: "editor_remove", editor: editor}
//                            ]
//                        }
                    });
                    function make_delete_link(oObj) {
                        // I'm relying on id being in column 0, but I could just as well used
                        //  oObj.aData[oObj.iDataColumn]; // since this column also has the ID value
                        var id = oObj.aData[0];

                        return "<a href='db_delete.php?table=publications&id=" + id + "&nojq' class='btn btn-danger btn-sm' title='delete " + id + " from database'><img src='graphics/delete.png' height='12' width='12'></a>";

                    }
                });
                
                     /**
                 * getcompetencies
                 */
                function getcompetencies(id) {
                    console.info(id);
                    $.ajax({
                        url:'getcompetencies.php?id='+id,
                        success:function(data){
                            
                            $("#competency").html('');
                            $("#competency").html(data);
                        }
                    });
                }



            </script>
        </head>

        <body class="dt-example">
            <div class="container">
                <div class="row">
<!--                    <div class="nav" role="navigation">
                        <div class="container">
                           <div class="navbar-header">
                                <a class="navbar-brand" href="../"><img src="../../images/ic_home.png" width="43" height="22" border="0"></a>
                                <a class="navbar-brand" href="../../logout.php" title="logout"><img src="../../images/logout.png" title="logout" width="30" height="30" border="0"></a>
                            </div>

                        </div>
                    </div>-->
                    
                    <div class="navbar-header">
                        <a class="navbar-brand" href="../"><img src="../../images/images.jpg" width="43" height="40" border="0"></a>
                    </div>
                    <br>
                    <br/>
                    <section>
                        <h1>Comp. Structure</h1>
                         <?php
                        if (isset($_GET['action'])) {
                            if ($_GET['action'] == 'add') {
                                include("add.php");
                            }elseif($_GET['action'] == 'edit'){
                                $id = $_GET['id'];
                                include("edit.php");
                            }
                            elseif($_GET['action'] == 'delete'){
                                $id = $_GET['id'];
                                include("delete.php");
                                
                                
                            }
                            
                        } else { 
                            ?>
                        <a href='?action=add' class='btn btn-success btn-sm' title='Add or Update new comp structure in database' style="margin-bottom: 10px">Add/Update</a>
                        <table id="example" class="display" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>
                                    <th>ID</th>
                                    <th>Dependent ID</th>
                                    <th>Comp ID</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                        </table>
                        <?php } ?>
                    </section>
                    <footer>
                        <div class="col-lg-12 seprater" >

                        </div> 
                        <p>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
                            &copy; 2014 TU Graz [v3.01 MTO Version]
                        </p>
                    </footer>
                </div>
            </div>

        </body>
    </html>
    <?php
} else {
    header('Location:../../');
}
