<?php

require_once 'config.php';
//http://localhost/ConfigTool_Beta/dashboard/datasource/pushin.php?secrettoken=miWVIbU63f&studentid=1&datasourceid=39&activityid=85&value=3&minvalue=2&maxvalue=4
header("Content-Type:application/json");
if (!isset($_GET['secrettoken'])) {

    deliver_response(400, 'Invalid request');
    exit();
}
//$url = "http://eeevle.bham.ac.uk/leas-olm/api/masterapi?";
$token = isset($_GET['secrettoken']) ? $_GET['secrettoken'] : $_GET['secrettoken'];
$datasource = isset($_GET['datasourceid']) ? $_GET['datasourceid'] : $_GET['datasourceid'];
$activity = isset($_GET['activityid']) ? $_GET['activityid'] : $_GET['activityid'];
$studentid = isset($_GET['studentid']) ? $_GET['studentid'] : $_GET['studentid'];

$qry = "SELECT * FROM datasource WHERE token='" . $token . "' AND id = '" . $datasource . "'";
$res = $link->query($qry);
$row = mysqli_fetch_assoc($res);

$qry1 = "SELECT * FROM activities WHERE id = '" . $activity . "' AND datasource = '" . $datasource . "'";
$result = $link->query($qry1);
$row2 = mysqli_fetch_assoc($result);

$query = "SELECT * FROM student_has_externalid WHERE datasourceid ='" . $datasource . "' AND extid = '" . $_GET['studentid'] . "'";
$res4 = $link->query($query);
$row3 = mysqli_fetch_assoc($res4);



if (isset($token) && $token == $row['token'] && $datasource == $row['id'] && $activity == $row2['id'] && $studentid == $row3['extid']) {

    if ($_GET['studentid'] !== null && $_GET['datasourceid'] !== null && $_GET['activityid'] !== null && $_GET['value'] !== null && $_GET['minvalue'] !== null && $_GET['maxvalue'] !== null) {

        $stdid = $_GET['studentid'];
        $datasource = $_GET['datasourceid'];
        $activity = $_GET['activityid'];
        $value = $_GET['value'];
        $minval = $_GET['minvalue'];
        $maxval = $_GET['maxvalue'];

        $error = 0;

        if ($activity == '') {
            deliver_response(400, "ActivityID not found");
            $error = 1;
            exit();
        } elseif ($studentid == '') {
            deliver_response(400, "StudentID not found");
            $error = 1;
            exit();
        } elseif ($value == '') {
            deliver_response(400, "value not found");
            $error = 1;
            exit();
        } elseif ($minval == '') {
            deliver_response(400, "minimum value not found");
            $error = 1;
            exit();
        } elseif ($maxval == '') {
            deliver_response(400, "maximum value not found");
            $error = 1;
            exit();
        } else {

            $x = ($value - $minval) / ($maxval - $minval);
            // to check if value is in b/w 0 and 1s
            if ($x > 1 || $x < 0) {
                echo "computing value = $x\n";
                deliver_response(400, "Value should be in between 0 and 1");
                $error = 1;
                exit();
            }

            // to check if group is associated to student 
            $internalstd = $row3['internalstdid']; // internal student is declared line 25
            $query = "SELECT * FROM group_has_students WHERE studentid = '" . $internalstd . "'";
            $res5 = $link->query($query);
            $row4 = mysqli_fetch_assoc($res5);
            if ($row4) {
                $groupid = $row4['groupid'];
            } else {
                deliver_response(400, "No Group associated to Student");
                $error = 1;
                exit();
            }

            // to check if no competency associated to activity
            $query = "SELECT * FROM activities_has_competencies WHERE activityid = '" . $activity . "'";
            $res3 = mysqli_query($link, $query);
            if ($res3->num_rows == '') {
                deliver_response(400, "No Competency associated to Activity");
                $error = 1;
                exit();
            }

            // to verify record duplication 
            if ($error == 0) {
                $qury = "SELECT * FROM rawdata WHERE token = '" . $token . "'";
                $res1 = $link->query($qury);
                $num_row1 = mysqli_num_rows($res1);

                if ($num_row1 == 0) {
                    $query = "INSERT INTO rawdata ( studid, datasourceid, activityid, `value`, `minvalue`, `maxvalue`, token) VALUE ( '" . $stdid . "', '" . $datasource . "', '" . $activity . "', '" . $value . "', '" . $minval . "', '" . $maxval . "' , '" . $token . "' )";
                    // $res2 = mysqli_query($link, $query);
                    deliver_response(200, "Data added successfully");
                    $qury = "SELECT * FROM rawdata WHERE token = '" . $token . "'";
                    $res1 = $link->query($qury);
                    $row1 = mysqli_fetch_assoc($res1);
                    echo json_encode($row1['timestamp']);
                    echo "\n";
                    // olm code goes here
                    //$qry = "SELECT groupid, compid FROM group_has_subjects LEFT JOIN subject_has_competencies ON group_has_subjects.subjectid = subject_has_competencies.subjectid LEFT JOIN activities_has_competencies ON competenceid = compid WHERE activityid = '".$activity."'";

                    $num_row = mysqli_num_rows($res3);
                    if ($num_row > 0) {
                        while ($row = mysqli_fetch_assoc($res3)) {

                            $addInfo = array('sharedsecret' => 'l753Ea{sB[]o}x*',
                                'leasid' => $internalstd,
                                'method' => 'addinformation',
                                'competencyid' => $row['competenceid'],
                                'groupid' => $groupid,
                                'userid' => $internalstd,
                                'datasourceid' => $_GET['datasourceid'],
                                'value' => $x,
                                'activityid' => $activity,
                            );
                            echo OlmCompetencyOperationCall($addInfo, $url);
                        }
                    }
                    // olm code ends here 
                } else {
                    echo "record already exist";
                }
            }
//        echo "record updated";
        }
    } else {

        deliver_response(400, 'Invalid request');
        exit();
    }
} else {
    if ($token === '') {
        deliver_response(400, "Token not found");
        $error = 1;
        exit();
    } elseif ($datasource == '') {
        deliver_response(400, "Datasource not found");
        $error = 1;
        exit();
    }  elseif ($studentid != $row3['extid']) {
        deliver_response(400, "StudentID  id does not match with Internal id or schoool id");
        $error = 1;
        exit();
    }elseif ($token != $row['token']) {
        deliver_response(400, "token does not match with DataSourceID");
        $error = 1;
        exit();
    } elseif ($datasource != $row['id']) {
        deliver_response(400, "Datasource id does not match with internal ID");
        $error = 1;
        exit();
    } elseif ($activity != $row2['id']) {
        deliver_response(400, "Activity id does not match with given DataSourceID ");
        $error = 1;
        exit();
    }


    $response = array(
        'message' => 'Token in-valid',
    );


    echo json_encode($response);
}

function deliver_response($status, $status_message) {

    header("HTTP/1.1 $status $status_message");

    $response ['status'] = $status;
    $response['status_message'] = $status_message;
//    $response['data'] = $data;

    $json_response = json_encode($response);

    echo $json_response;
}

//curl call code for olm
function OlmCompetencyOperationCall($data, $url) {
    $postvars = '';
    foreach ($data as $key => $value) {
        $postvars .= $key . "=" . $value . "&";
    }

    $postvars = rtrim($postvars, "&");
    echo $url . "?" . $postvars;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);                //0 for a get request
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postvars);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 3);
    curl_setopt($ch, CURLOPT_TIMEOUT, 20);
    $response = curl_exec($ch);
    echo "OLM response is: ".$response;
    // "curl response is:" . $response;
    curl_close($ch);
}
