<?php
if ($id > 0) {
    require_once '../../config.php';
    $qry = "SELECT * FROM subjects WHERE schoolid=" . $_SESSION['schoolid'];
    $res = $link->query($qry);
    $success = true;
    $message = '';
    $errors = array();
    if (isset($_POST['submit'])) {

        if (isset($_POST['name']) && $_POST['name'] != '') {
            $name = $_POST['name'];
        } else {
            $errors['name'] = 'Enter DataSource Name';
            $success = false;
        }
        if (isset($_POST['subject']) && $_POST['subject'] != '') {
            $subject = $_POST['subject'];
            if (isset($_POST['competency']) && $_POST['competency'] != '') {
                $competencies = $_POST['competency'];
                if (!empty($competencies)) {
                    foreach ($_POST['competency'] as $k => $v) {
                        if (isset($_POST['competencyWeight' . $v]) && $_POST['competencyWeight' . $v] == '') {
                            $errors['weight'] = "Weight missing for selected competency";
                            $success = false;
                        }
                    }
                }
            } else {
                $errors['competency'] = 'Select At least one competency';
                $success = false;
            }
        } else {
            $errors['subject'] = 'Select Subject';
            $success = false;
        }


        if ($success) {
            $qry = "SELECT name FROM datasource WHERE name='" . $name . "' AND id !=" . $id;
            $res1 = $link->query($qry);
            if ($res1->num_rows == 0) {
                $qry = "UPDATE datasource SET name = '" . $name . "',subject= " . $_POST['subject'] . " WHERE id= " . $id;
                $res2 = $link->query($qry);
                $lastInsertId = mysqli_insert_id($link);
                if (isset($_POST['competency'])) {
                    $values = array();
                    foreach ($_POST['competency'] as $ke => $va) {
                        $values[] = "(" . $id . "," . $va . "," . $_POST['competencyWeight' . $va] . ")";
                    }
                    $link->query("DELETE FROM competency_has_datasource WHERE dataid = " . $id);
                    $query = "INSERT INTO competency_has_datasource (dataid,compid,wieght) VALUES " . implode(',', $values);
                    $res3 = $link->query($query);
                    if ($res3) {
                        $message = "DataSource added successfully.";
                        unset($_POST);
                        $success = true;
                    }
                }
            } else {
                $errors['duplicate'] = "DataSource Name must be unique.";
                $success = false;
            }
        }
    }
    $qry = "SELECT * FROM datasource WHERE id=" . $id;
    $res4 = $link->query($qry);
    $datasource = mysqli_fetch_object($res4);
    ?>
<a href="./">Back</a>
    <form action="" method="post">
        <?php
        if (!$success && !empty($errors)) {
            echo '<div class="form-group has-error">';
            foreach ($errors as $key => $value) {
                echo "<p class='has-error help-block'>" . $value . "</p>";
            }
            echo '</div>';
        } else if ($message != '') {
            echo '<div class="form-group has-success">';

            echo "<p class='has-success help-block'>" . $message . "</p>";

            echo '</div>';
        }
        ?>
        <div class="form-group">
            <label for="name">Name</label>
            <input type="name" name="name" class="form-control" id="name" placeholder="" value="<?php echo (isset($_POST['name'])) ? $_POST['name'] : $datasource->name; ?>">
        </div>
        <div class="form-group">
            <label for="subject">Subject</label>
            <select class="form-control" id="subject" name="subject" onchange="getcompetencies(this.value)">
                <option value="">Select Subject</option>
                <?php
                if ($res->field_count > 0) {

                    while ($row = mysqli_fetch_assoc($res)) {
                        $selected = '';
                        if ((isset($_POST['subject']) && $_POST['subject'] == $row['id'])) {
                            ?>
                            <script>
                                        $.ajax({
                                        url: 'getcompetencies.php?id=' +<?php echo $row['id']; ?>,
                <?php if (isset($_POST['competency'])) { ?>
                                            data: <?php echo json_encode($_POST); ?>,
                                                    type: 'POST',
                    <?php
                }
                ?>
                                        type: 'POST',
                                                success: function(data) {

                                                $("#competency").html('');
                                                        $("#competency").html(data);
                                                }
                                        });</script>
                            <?php
                            $selected = 'selected';
                        } else {
                            if ($datasource->subject == $row['id']) {
                                ?>
                                <script>
                                            $.ajax({
                                            url: 'getcompetencies.php?id=' +<?php echo $row['id']; ?>,
                    <?php
                    $qry = "SELECT * FROM competency_has_datasource WHERE dataid=" . $datasource->id;
                    $res5 = $link->query($qry);
//$competency = mysqli_fetch_assoc($res5);
                    $compdata = array();
                    while ($comp = mysqli_fetch_assoc($res5)) {
                        $compdata['competency'][] = $comp['compid'];
                        $compdata['competencyWeight' . $comp['compid']] = $comp['wieght'];
                    }
                    ?>
                                            data: <?php echo json_encode($compdata); ?>,
                                                    type: 'POST',
                                                    success: function(data) {

                                                    $("#competency").html('');
                                                            $("#competency").html(data);
                                                    }
                                            });</script>
                                <?php
                                $selected = 'selected';
                            }
                        }
                        echo "<option value='" . $row['id'] . "' " . $selected . ">" . $row['name'] . "</option>";
                    }
                }
                ?>

            </select>
        </div>
        <div id="competency">

        </div>
        <input type="submit" name="submit" class="btn btn-default" value="Submit"/>
    </form>
    <?php
} else {
    echo "No record found!";
}
?>