$.fn.dataTableExt.oApi.fnReloadAjax = function ( oSettings, sNewSource, fnCallback, bStandingRedraw ){
    if ( sNewSource !== undefined && sNewSource !== null ) {
        oSettings.sAjaxSource = sNewSource;
    }
 
    // Server-side processing should just call fnDraw
    if ( oSettings.oFeatures.bServerSide ) {
        this.fnDraw();
        return;
    }
 
    this.oApi._fnProcessingDisplay( oSettings, true );
    var that = this;
    var iStart = oSettings._iDisplayStart;
    var aData = [];
 
    this.oApi._fnServerParams( oSettings, aData );
 
    oSettings.fnServerData.call( oSettings.oInstance, oSettings.sAjaxSource, aData, function(json) {
        /* Clear the old information from the table */
        that.oApi._fnClearTable( oSettings );
 
        /* Got the data - add it to the table */
        var aData =  (oSettings.sAjaxDataProp !== "") ?
            that.oApi._fnGetObjectDataFn( oSettings.sAjaxDataProp )( json ) : json;
 
        for ( var i=0 ; i<aData.length ; i++ )
        {
            that.oApi._fnAddData( oSettings, aData[i] );
        }
         
        oSettings.aiDisplay = oSettings.aiDisplayMaster.slice();
 
        that.fnDraw();
 
        if ( bStandingRedraw === true )
        {
            oSettings._iDisplayStart = iStart;
            that.oApi._fnCalculateEnd( oSettings );
            that.fnDraw( false );
        }
 
        that.oApi._fnProcessingDisplay( oSettings, false );
 
        /* Callback user function - for event handlers etc */
        if ( typeof fnCallback == 'function' && fnCallback !== null )
        {
            fnCallback( oSettings );
        }
    }, oSettings );
};
/*
$.fn.clearForm = function() {
    return this.each(function() {
        var type = this.type, tag = this.tagName.toLowerCase();
        if (tag == 'form')
            return $(':input',this).clearForm();
        if (type == 'text' || type == 'password' || tag == 'textarea'|| type == 'hidden' || type == "email")
            this.value = '';
        else if (type == 'checkbox' || type == 'radio')
            this.checked = false;
        else if (tag == 'select')
            this.selectedIndex = -1;
    });
};*/

var localVars = {};

$(document).ready(function() {
            
    ///$(this).find('.modal-body').css({width:'auto', height:'auto', 'max-height':'800px'});
    $('#nav').tab();
    $("#login_error_container").hide();

    $( "#frm_log_in" ).submit(function( event ) {
      event.preventDefault();
      login();
    });

    $("#login-container").hide();
    $("#main-container").hide();

    $("#dlg-check-login").modal();

    $.ajax({
        type: "GET",
        url: "../webservice/public_html/index.php/authenticated",
        success: function(msg){
            var obj = $.parseJSON(msg);
            if(obj["success"]){
                localVars.isLogedIn = true;
            }else{
                localVars.isLogedIn = false;
            }
            $("#dlg-check-login").modal('hide');
            switchViews();
        },
        error: function(){
            localVars.isLogedIn = false;
            $("#dlg-check-login").modal('hide');
            switchViews();
        }
    });
		
});

function switchViews(){
    if(localVars.isLogedIn){
        $("#login-container").hide();
        $("main-container").show();
        init();
    }else{
        $("#main-container").hide();
        $("#login-container").show();
    }
}

function login(){
    var data = $('#frm_log_out').serialize();
    $.ajax({
        type: "GET",
        data: data,
        url: "../webservice/public_html/index.php/logout",
        success: function(msg){
            var obj = $.parseJSON(msg);
            if(obj["success"]){
                localVars.isLogedIn = false;
                //$("#main-container").hide();
                //$("#main-container").show();
                location.reload();
            }else{

            }
        },
        error: function(){

        }
    });
}
