function initSettings(){
   //Add Settings
   //console.log("initSettings");

   $('#btn_add_settings').click(function(){
        $('#frm_add_settings')[0].reset();
        $('#frm_add_settings').clearForm();
        $('#progress .bar').css('width',0 + '%');
        //$("#frm_add_settings #settings_icon_image").removeAttr('src');
    });

   $("a#btn_submit_add_settings").click(function(){
        var data = $('#frm_add_settings').serialize();
        $.ajax({
            type: "POST",
            url: "../webservice/public_html/index.php/settings",
            data: $('form#frm_add_settings').serialize(),
            success: function(msg){
                var obj = $.parseJSON(msg);
                var success = obj["success"];
                var content = obj["content"];
                if(success){
                    $('#modal_add_settings').modal('toggle');

                    if(localVars.settingsDataTable){
                        localVars.settingsDataTable.fnReloadAjax('../webservice/public_html/index.php/settings');
                    }
                }else {
                    alert(content);
                }
            },
            error: function(){
                alert("Error: Data could not be saved!");
            }
        });
   });
}

function initSettingsTable() {
	localVars.settingsDataTable = $('#tbl_settings').dataTable({
		"sDom": "<'row'<'span5'l><'span5'f>r>t<'row'<'span5'i><'span5'p>>",
		"sAjaxSource": '../webservice/public_html/index.php/settings',
		"aaSorting": [[ 0, "asc" ]],
        "sAjaxDataProp": "content",
        "sPaginationType": "full_numbers",
        "sRowSelect": "multi",
        "aoColumns": [
        	{
        		"mData": "id",
        		"sTitle": "ID",
        		"sName": "id",
        	},
        	{
        		"mData": "schoolyear",
        		"sTitle": "Schoolyear",
        		"sName": "schoolyear",
        	},
        	{
        		"mData": "semester",
        		"sTitle": "Semester",
        		"sName": "semester",
        	}
        ],
         "aoColumnDefs": 
        [
            { "bSearchable": false, "bVisible": false, "aTargets": [0] },
        ],
        "fnCreatedRow": function( nRow, aData, iDataIndex ) {
            $(nRow).attr('id', aData['id']);
        }
	
	    } ).makeEditable({
	        sDeleteURL: "../webservice/public_html/index.php/delete_settings",
	        sDeleteRowButtonId: "btn_delete_settings",
	        
	        sUpdateURL: "../webservice/public_html/index.php/settings_property",
	        
	        //sAddURL: "../webservice/public_html/index.php/add_people",
	        //sAddNewRowFormId: "frm_add_people",
	        //sAddNewRowButtonId: "btn_add_people",
	        //sAddNewRowOkButtonId: "btn_add_people_ok",
	        //sAddNewRowCancelButtonId: "btn_add_people_cancel",
	        "aoColumns": [
	            {},
	            {},
	        ]
	    });
}

